%define rel %mkrel 1

Summary: Hardware database clients
Name: hwdb-clients
Version: 0.18
Release: %rel
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Base
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://qa.mandriva.com/
BuildArchitectures: noarch
Requires: drakxtools >= 10-32mdk, dmidecode sane-backends, perl-libwww-perl
Provides: testzilla-clients
Obsoletes: testzilla-clients

%description
Clients to dialog with a hardware database

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%{_sbindir}/*
/usr/share/hwdb

# MAKE THE MODIFICATIONS IN THE CVS. NO DIRECT EDITION OR PATCH ALLOWED.
%changelog
* Tue Sep 13 2005 Frederic Lepied <flepied@mandriva.com> 0.18-1mdk
- report the IEEE1284 string in the record of printers
- don't translate to avoid having some strange printer names in the database

* Wed Jul 27 2005 Frederic Lepied <flepied@mandriva.com> 0.17-1mdk
- mandriva
- mkrel

* Wed Mar 30 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.16.1-1mdk
- report unknown printers on output
- fix storage raid detection

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.16-1mdk
- added mouse, tablet and keyboard support (only USB)

* Tue Sep 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.15.2-1mdk
- better handling of unknown and scanner classes

* Mon Sep  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.15.1-1mdk
- use hwdb.mandrakesoft.com as the server name
- fixed some perl_checker warnings
- don't install hwdb_test twice
- corrected modem support to not forget serial ones ;-) (bug #11177)
- added memory controller (bug #11172)

* Fri Sep  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.15-1mdk
- added modem
- addem UPS
- added unknown
- added SATA RAID controller
- added hwdb_test script to be able to debug

* Tue Aug 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.14-1mdk
- add back usb printer upload (bug #8642)

* Fri Aug 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.13.1-1mdk
- allow to put the password in the HWDB_PASSWD environment variable

* Fri Aug  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.13-1mdk
- added cpu support
- added controller support

* Tue Aug  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12-1mdk
- added usb storage and adsl device support
- temporarily remove broken usb printer support (bug #8642)
- hwdb_add_system takes an extra parameter to be able to identify the
uploaded system by a name

* Wed May 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.11-1mdk
- adapt hwdb-client for new harddrake data structure (bug #8136)

* Tue Feb 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- use http_proxy environment variable (bug #8042)
- testzilla => hwdb

* Thu Feb 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.9-1mdk
- added WEBCAM support

* Tue Feb 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- added DVDROM and BURNER upload support to testzilla_add_system

* Sun Feb  8 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- added CDROM upload support to testzilla_add_system

* Thu Jan 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- only detect local printers
- depends on sane-backends

* Thu Jan 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.5.1-1mdk
- more robust

* Tue Jan 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- added the upload of USB scanners and parallel and USB printers

* Wed Jan 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.4.1-1mdk
- don't allow empty DMI fields
- prefix scripts with testzilla_

* Wed Jan 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- requires dmidecode
- don't run the scripts with perl -w

* Tue Jan 13 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- install in /usr/sbin
- added preliminar add_system
- added add_sound_card

* Wed Jan  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- add_network_card to upload a network card to testzilla/bugzilla

* Wed Jan  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- add_video_card to upload a video card to testzilla/bugzilla

# end of file
